/2025-01/marketing-solutions/creatives/{id}
curl --request PUT \
--url https://api.criteo.com/2025-01/marketing-solutions/creatives/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"id": "<string>",
"type": "<string>"
}
}
'{
"data": {
"attributes": {
"advertiserId": "<string>",
"author": "<string>",
"name": "<string>",
"status": "<string>",
"adaptiveAttributes": {
"callsToAction": [
"<string>"
],
"colors": {
"backgroundColor": "<string>",
"ctaBackgroundColor": "<string>",
"ctaTextColor": "<string>",
"logoAreaAndTitleColor": "<string>",
"text1Color": "<string>",
"text2Color": "<string>"
},
"descriptionFont": "<string>",
"descriptionText": "<string>",
"headlineFont": "<string>",
"headlineText": "<string>",
"landingPageUrl": "<string>",
"layouts": [],
"logos": [
{
"url": "<string>"
}
],
"imageSets": [
{
"images": [
{
"url": "<string>"
}
],
"headlineText": "<string>"
}
],
"videos": [
{
"duration": 123,
"url": "<string>"
}
]
},
"datasetId": "<string>",
"description": "<string>",
"dynamicAttributes": {
"bodyTextColor": "<string>",
"callsToAction": [
"<string>"
],
"creativeBackgroundColor": "<string>",
"logos": [
{
"url": "<string>"
}
],
"pricesColor": "<string>",
"primaryFont": "<string>"
},
"format": "<string>",
"htmlTagAttributes": {
"tags": [
{
"htmlTag": "<string>",
"size": {
"height": 123,
"width": 123
}
}
]
},
"id": "<string>",
"imageAttributes": {
"landingPageUrl": "<string>",
"urls": [
"<string>"
]
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-01/marketing-solutions/creatives/{id}
Edit a specific Creative
PUT
/
2025-01
/
marketing-solutions
/
creatives
/
{id}
/2025-01/marketing-solutions/creatives/{id}
curl --request PUT \
--url https://api.criteo.com/2025-01/marketing-solutions/creatives/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"id": "<string>",
"type": "<string>"
}
}
'{
"data": {
"attributes": {
"advertiserId": "<string>",
"author": "<string>",
"name": "<string>",
"status": "<string>",
"adaptiveAttributes": {
"callsToAction": [
"<string>"
],
"colors": {
"backgroundColor": "<string>",
"ctaBackgroundColor": "<string>",
"ctaTextColor": "<string>",
"logoAreaAndTitleColor": "<string>",
"text1Color": "<string>",
"text2Color": "<string>"
},
"descriptionFont": "<string>",
"descriptionText": "<string>",
"headlineFont": "<string>",
"headlineText": "<string>",
"landingPageUrl": "<string>",
"layouts": [],
"logos": [
{
"url": "<string>"
}
],
"imageSets": [
{
"images": [
{
"url": "<string>"
}
],
"headlineText": "<string>"
}
],
"videos": [
{
"duration": 123,
"url": "<string>"
}
]
},
"datasetId": "<string>",
"description": "<string>",
"dynamicAttributes": {
"bodyTextColor": "<string>",
"callsToAction": [
"<string>"
],
"creativeBackgroundColor": "<string>",
"logos": [
{
"url": "<string>"
}
],
"pricesColor": "<string>",
"primaryFont": "<string>"
},
"format": "<string>",
"htmlTagAttributes": {
"tags": [
{
"htmlTag": "<string>",
"size": {
"height": 123,
"width": 123
}
}
]
},
"id": "<string>",
"imageAttributes": {
"landingPageUrl": "<string>",
"urls": [
"<string>"
]
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The creative identifier to edit.
Body
application/json
A top-level object that encapsulates a Criteo API request for a single entity.
A class that represents a domain entity exposed by an API.
Show child attributes
Show child attributes
Response
200 - application/json
The edited creative is returned.
Was this page helpful?
⌘I